libclass-load-perl_0.22-1_all.deb


Advertisement

Description

libclass-load-perl - module for loading modules by name

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libclass-load-perl
Package version: 0.22
Package release: 1
Package architecture: all
Package type: deb
Installed size: 26 B
Download size: 15.41 KB
Official Mirror: ftp.br.debian.org
"require EXPR" only accepts Class/Name.pm style module names, not Class::Name. For that, Class::Load provides "load_class 'Class::Name'". It's often useful to test whether a module can be loaded, instead of throwing an error when it's not available. For that, Class::Load provides "try_load_class 'Class::Name'". Finally, sometimes it is important to know whether a particular class has been loaded. Asking %INC is an option, but that will miss inner packages and any class for which the filename does not correspond to the package name. For that, this module provides "is_class_loaded 'Class::Name'".

Alternatives

    Download

    Source package: libclass-load-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libclass-load-perl deb package:
      # sudo apt-get install libclass-load-perl

    Files

    • /usr/share/doc/libclass-load-perl/CONTRIBUTING
    • /usr/share/doc/libclass-load-perl/changelog.Debian.gz
    • /usr/share/doc/libclass-load-perl/changelog.gz
    • /usr/share/doc/libclass-load-perl/copyright
    • /usr/share/man/man3/Class::Load.3pm.gz
    • /usr/share/perl5/Class/Load.pm
    • /usr/share/perl5/Class/Load/PP.pm

    Changelog

    2014-08-26 - Damyan Ivanov <dmn@debian.org> libclass-load-perl (0.22-1) unstable; urgency=medium * Team upload [ gregor herrmann ] * Install new CONTRIBUTING file. * debian/control: bump required debhelper version for Module::Build::Tiny to 9.20140227. * Strip trailing slash from metacpan URLs. [ Salvatore Bonaccorso ] * Update Vcs-Browser URL to cgit web frontend [ Damyan Ivanov ] * Imported Upstream version 0.22 * add libnamespace-clean-perl to (build-)dependencies

    2014-02-15 - gregor herrmann <gregoa@debian.org> libclass-load-perl (0.21-1) unstable; urgency=low [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ gregor herrmann ] * New upstream release. * Update years of packaging copyright. * Update build dependencies, and debhelper compatibility level. * debian/rules: don't install empty manpage. * Declare compliance with Debian Policy 3.9.5.

    2012-10-08 - Alessandro Ghedini <ghedo@debian.org> libclass-load-perl (0.20-1) unstable; urgency=low [ gregor herrmann ] * New upstream release 0.19. * debian/control: update {versioned,alternative} (build) dependencies. [ Angel Abad ] * Imported Upstream version 0.20 * debian/copyright: Update format to copyright-format 1.0 [ Alessandro Ghedini ] * New upstream release 0.18 * Lower libpackage-stash-perl minimun required version * Bump Stanards-Version to 3.9.4 (no changes needed) * Add myself to Uploaders

    2012-02-13 - Angel Abad <angel@debian.org> libclass-load-perl (0.17-1) unstable; urgency=low * Imported Upstream version 0.17 * debian/control: {Build-}Depends on libmodule-runtime-perl (>= 0.012)

    2012-02-10 - Angel Abad <angel@debian.org> libclass-load-perl (0.15-1) unstable; urgency=low * Imported Upstream version 0.15

    2012-02-08 - Angel Abad <angel@debian.org> libclass-load-perl (0.14-1) unstable; urgency=low * Email change: Angel Abad -> angel@debian.org * Imported Upstream version 0.14 * debian/control: {Build-}Depends on libmodule-implementation-perl * debian/copyright: Update years

    2011-12-23 - Angel Abad <angelabad@gmail.com> libclass-load-perl (0.13-1) unstable; urgency=low [ Angel Abad ] * Imported Upstream version 0.13 * debian/control: Add libtest-requires-perl to Build-Depends-Indep [ Salvatore Bonaccorso ] * Add libtest-without-module-perl to Build-Depends-Indep

    2011-10-26 - Angel Abad <angelabad@gmail.com> libclass-load-perl (0.12-1) unstable; urgency=low * Imported Upstream version 0.12 * debian/control: {Build-}Depends on libmodule-runtime-perl (>= 0.011)

    2011-10-06 - Angel Abad <angelabad@gmail.com> libclass-load-perl (0.11-1) unstable; urgency=low * Imported Upstream version 0.11 * debian/control: Add libmodule-runtime-perl (>= 0.009) to {Build-}Depends * debian/copyright: Update debian/* section

    2011-09-08 - Damyan Ivanov <dmn@debian.org> libclass-load-perl (0.10-1) unstable; urgency=low * Team upload [ gregor herrmann ] * New upstream release. * debian/copyright: fix name of upstream copyright holder, bump years of packaging copyright. * Add new (build) dependencies.

    Advertisement
    Advertisement